From 99fb9058bb0b6a6323da6811926547ef5f3882e4 Mon Sep 17 00:00:00 2001
From: Stanislav Brabec <sbrabec@suse.com>
Date: Thu, 16 Jul 2015 21:54:23 +0200
Subject: [PATCH 02/12] Add --disable-fdisk

Add option to explicitly disable build of fdisk.

Signed-off-by: Stanislav Brabec <sbrabec@suse.com>
---
 configure.ac | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

Index: util-linux-2.26.2/configure.ac
===================================================================
--- util-linux-2.26.2.orig/configure.ac
+++ util-linux-2.26.2/configure.ac
@@ -906,6 +906,10 @@ AC_DEFINE_UNQUOTED([LIBFDISK_VERSION], [
 
 
-UL_BUILD_INIT([fdisk], [check])
+AC_ARG_ENABLE([fdisk],
+  AS_HELP_STRING([--disable-fdisk], [do not build fdisk(8)]),
+  [], [UL_DEFAULT_ENABLE([fdisk], [yes])]
+)
+UL_BUILD_INIT([fdisk])
 UL_REQUIRES_BUILD([fdisk], [libfdisk])
 UL_REQUIRES_BUILD([fdisk], [libsmartcols])
 AM_CONDITIONAL([BUILD_FDISK], [test "x$build_fdisk" = xyes])
